Index: /LMDZ5/trunk/libf/dyn3dmem/abort_gcm.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/abort_gcm.F	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/abort_gcm.F	(revision 1823)
@@ -12,5 +12,5 @@
       USE ioipsl_getincom
 #endif
-      USE parallel
+      USE parallel_lmdz
 #include "iniprint.h"
  
Index: /LMDZ5/trunk/libf/dyn3dmem/addfi_loc.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/addfi_loc.F	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/addfi_loc.F	(revision 1823)
@@ -5,5 +5,5 @@
      S          pucov, pvcov, pteta, pq   , pps ,
      S          pdufi, pdvfi, pdhfi,pdqfi, pdpfi  )
-      USE parallel
+      USE parallel_lmdz
       USE infotrac, ONLY : nqtot
       USE control_mod, ONLY : planet_type
Index: /LMDZ5/trunk/libf/dyn3dmem/advect_new_loc.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/advect_new_loc.F	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/advect_new_loc.F	(revision 1823)
@@ -4,5 +4,5 @@
       SUBROUTINE advect_new_loc(ucov,vcov,teta,w,massebx,masseby,
      &                        du,dv,dteta)
-      USE parallel
+      USE parallel_lmdz
       USE write_field_loc
       USE advect_new_mod
Index: /LMDZ5/trunk/libf/dyn3dmem/advect_new_mod.F90
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/advect_new_mod.F90	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/advect_new_mod.F90	(revision 1823)
@@ -16,5 +16,5 @@
   USE bands
   USE allocate_field_mod
-  USE parallel
+  USE parallel_lmdz
   USE dimensions_mod
   IMPLICIT NONE
@@ -38,5 +38,5 @@
   USE allocate_field_mod
   USE bands
-  USE parallel
+  USE parallel_lmdz
   IMPLICIT NONE
     TYPE(distrib),INTENT(IN) :: dist
Index: /LMDZ5/trunk/libf/dyn3dmem/advtrac_loc.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/advtrac_loc.F	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/advtrac_loc.F	(revision 1823)
@@ -17,5 +17,5 @@
 c            M.A Filiberti (04/2002)
 c
-      USE parallel
+      USE parallel_lmdz
       USE Write_Field_loc
       USE Write_Field
Index: /LMDZ5/trunk/libf/dyn3dmem/advtrac_mod.F90
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/advtrac_mod.F90	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/advtrac_mod.F90	(revision 1823)
@@ -8,5 +8,5 @@
   USE bands
   USE allocate_field_mod
-  USE parallel
+  USE parallel_lmdz
   USE infotrac
   USE vlspltgen_mod
@@ -24,5 +24,5 @@
   USE allocate_field_mod
   USE bands
-  USE parallel
+  USE parallel_lmdz
   USE vlspltgen_mod
   IMPLICIT NONE
Index: /LMDZ5/trunk/libf/dyn3dmem/allocate_field_mod.F90
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/allocate_field_mod.F90	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/allocate_field_mod.F90	(revision 1823)
@@ -51,5 +51,5 @@
 
   SUBROUTINE allocate1d_u1d(field,d)
-  USE parallel
+  USE parallel_lmdz
   IMPLICIT NONE
   REAL,POINTER :: field(:)
@@ -67,5 +67,5 @@
 
   SUBROUTINE allocate2d_u1d(field,dim1,d)
-  USE parallel
+  USE parallel_lmdz
   IMPLICIT NONE
   REAL,POINTER :: field(:,:)
@@ -83,5 +83,5 @@
 
   SUBROUTINE allocate3d_u1d(field,dim1,dim2,d)
-  USE parallel
+  USE parallel_lmdz
   IMPLICIT NONE
   REAL,POINTER :: field(:,:,:)
@@ -101,5 +101,5 @@
 
   SUBROUTINE allocate1d_v1d(field,d)
-  USE parallel
+  USE parallel_lmdz
   IMPLICIT NONE
   REAL,POINTER :: field(:)
@@ -117,5 +117,5 @@
 
   SUBROUTINE allocate2d_v1d(field,dim1,d)
-  USE parallel
+  USE parallel_lmdz
   IMPLICIT NONE
   REAL,POINTER :: field(:,:)
@@ -133,5 +133,5 @@
 
   SUBROUTINE allocate3d_v1d(field,dim1,dim2,d)
-  USE parallel
+  USE parallel_lmdz
   IMPLICIT NONE
   REAL,POINTER :: field(:,:,:)
@@ -157,5 +157,5 @@
 
   SUBROUTINE allocate1d_u2d(field,d)
-  USE parallel
+  USE parallel_lmdz
   USE dimensions_mod
   IMPLICIT NONE
@@ -174,5 +174,5 @@
 
   SUBROUTINE allocate2d_u2d(field,dim1,d)
-  USE parallel
+  USE parallel_lmdz
   USE dimensions_mod
   IMPLICIT NONE
@@ -191,5 +191,5 @@
 
   SUBROUTINE allocate3d_u2d(field,dim1,dim2,d)
-  USE parallel
+  USE parallel_lmdz
   USE dimensions_mod
   IMPLICIT NONE
@@ -210,5 +210,5 @@
 
   SUBROUTINE allocate1d_v2d(field,d)
-  USE parallel
+  USE parallel_lmdz
   USE dimensions_mod
   IMPLICIT NONE
@@ -227,5 +227,5 @@
 
   SUBROUTINE allocate2d_v2d(field,dim1,d)
-  USE parallel
+  USE parallel_lmdz
   USE dimensions_mod
   IMPLICIT NONE
@@ -244,5 +244,5 @@
 
   SUBROUTINE allocate3d_v2d(field,dim1,dim2,d)
-  USE parallel
+  USE parallel_lmdz
   USE dimensions_mod
   IMPLICIT NONE
@@ -279,5 +279,5 @@
 
   SUBROUTINE switch1d_u1d(field,old_dist,new_dist,up,down)
-  USE parallel
+  USE parallel_lmdz
   USE mod_hallo
   IMPLICIT NONE
@@ -315,5 +315,5 @@
   
   SUBROUTINE switch2d_u1d(field,old_dist,new_dist,up,down)
-  USE parallel
+  USE parallel_lmdz
   USE mod_hallo
   IMPLICIT NONE
@@ -351,5 +351,5 @@
 
   SUBROUTINE switch3d_u1d(field,old_dist,new_dist,up,down)
-  USE parallel
+  USE parallel_lmdz
   USE mod_hallo
   IMPLICIT NONE
@@ -390,5 +390,5 @@
 
   SUBROUTINE switch1d_v1d(field,old_dist,new_dist,up,down)
-  USE parallel
+  USE parallel_lmdz
   USE mod_hallo
   IMPLICIT NONE
@@ -426,5 +426,5 @@
   
   SUBROUTINE switch2d_v1d(field,old_dist,new_dist,up,down)
-  USE parallel
+  USE parallel_lmdz
   USE mod_hallo
   IMPLICIT NONE
@@ -462,5 +462,5 @@
 
   SUBROUTINE switch3d_v1d(field,old_dist,new_dist,up,down)
-  USE parallel
+  USE parallel_lmdz
   USE mod_hallo
   IMPLICIT NONE
@@ -509,5 +509,5 @@
 
   SUBROUTINE switch1d_u2d(field,old_dist,new_dist,up,down)
-  USE parallel
+  USE parallel_lmdz
   USE mod_hallo
   USE dimensions_mod
@@ -546,5 +546,5 @@
   
   SUBROUTINE switch2d_u2d(field,old_dist,new_dist,up,down)
-  USE parallel
+  USE parallel_lmdz
   USE mod_hallo
   USE dimensions_mod
@@ -583,5 +583,5 @@
 
   SUBROUTINE switch3d_u2d(field,old_dist,new_dist,up,down)
-  USE parallel
+  USE parallel_lmdz
   USE mod_hallo
   USE dimensions_mod
@@ -623,5 +623,5 @@
 
   SUBROUTINE switch1d_v2d(field,old_dist,new_dist,up,down)
-  USE parallel
+  USE parallel_lmdz
   USE mod_hallo
   USE dimensions_mod
@@ -660,5 +660,5 @@
   
   SUBROUTINE switch2d_v2d(field,old_dist,new_dist,up,down)
-  USE parallel
+  USE parallel_lmdz
   USE mod_hallo
   USE dimensions_mod
@@ -697,5 +697,5 @@
 
   SUBROUTINE switch3d_v2d(field,old_dist,new_dist,up,down)
-  USE parallel
+  USE parallel_lmdz
   USE mod_hallo
   USE dimensions_mod
Index: /LMDZ5/trunk/libf/dyn3dmem/bands.F90
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/bands.F90	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/bands.F90	(revision 1823)
@@ -3,5 +3,5 @@
 !
   module Bands
-  USE parallel
+  USE parallel_lmdz
     integer, parameter :: bands_caldyn=1
     integer, parameter :: bands_vanleer=2
@@ -27,5 +27,5 @@
   
   subroutine AllocateBands
-    use parallel
+    USE parallel_lmdz
     implicit none
     
@@ -41,5 +41,5 @@
   
   subroutine Read_distrib
-    use parallel
+    USE parallel_lmdz
     implicit none
 
@@ -104,5 +104,5 @@
    
    SUBROUTINE  Set_Bands 
-     USE parallel
+     USE parallel_lmdz
 #ifdef CPP_PHYS
 ! Ehouarn: what follows is only related to // physics
@@ -168,5 +168,5 @@
     subroutine AdjustBands_caldyn(new_dist)
       use times
-      use parallel
+      USE parallel_lmdz
       implicit none
       TYPE(distrib),INTENT(INOUT) :: new_dist
@@ -235,5 +235,5 @@
     subroutine AdjustBands_vanleer(new_dist)
       use times
-      use parallel
+      USE parallel_lmdz
       implicit none
       TYPE(distrib),INTENT(INOUT) :: new_dist
@@ -304,5 +304,5 @@
     subroutine AdjustBands_dissip(new_dist)
       use times
-      use parallel
+      USE parallel_lmdz
       implicit none
       TYPE(distrib),INTENT(INOUT) :: new_dist
@@ -377,5 +377,5 @@
       USE mod_phys_lmdz_para, only : klon_mpi_para_nb
 #endif
-      USE parallel
+      USE parallel_lmdz
       implicit none
 
@@ -428,5 +428,5 @@
 
     subroutine WriteBands
-    USE parallel
+    USE parallel_lmdz
     implicit none
     include "dimensions.h"
Index: /LMDZ5/trunk/libf/dyn3dmem/bernoui_loc.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/bernoui_loc.F	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/bernoui_loc.F	(revision 1823)
@@ -1,4 +1,4 @@
       SUBROUTINE bernoui_loc (ngrid,nlay,pphi,pecin,pbern)
-      USE parallel
+      USE parallel_lmdz
       USE mod_filtreg_p
       IMPLICIT NONE
Index: /LMDZ5/trunk/libf/dyn3dmem/bilan_dyn_loc.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/bilan_dyn_loc.F	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/bilan_dyn_loc.F	(revision 1823)
@@ -13,5 +13,5 @@
       USE IOIPSL
 #endif
-      USE parallel
+      USE parallel_lmdz
       USE mod_hallo
       use misc_mod
Index: /LMDZ5/trunk/libf/dyn3dmem/caladvtrac_loc.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/caladvtrac_loc.F	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/caladvtrac_loc.F	(revision 1823)
@@ -7,5 +7,5 @@
      *                   p ,masse, dq ,  teta,
      *                   flxw, pk, iapptrac)
-      USE parallel 
+      USE parallel_lmdz 
       USE infotrac, ONLY : nqtot
       USE control_mod, ONLY : iapp_tracvl,planet_type
Index: /LMDZ5/trunk/libf/dyn3dmem/caladvtrac_mod.F90
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/caladvtrac_mod.F90	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/caladvtrac_mod.F90	(revision 1823)
@@ -22,5 +22,5 @@
   USE bands
   USE allocate_field_mod
-  USE parallel
+  USE parallel_lmdz
   USE infotrac
   USE advtrac_mod, ONLY : advtrac_allocate
@@ -57,5 +57,5 @@
   USE allocate_field_mod
   USE bands
-  USE parallel
+  USE parallel_lmdz
   USE groupe_mod
   IMPLICIT NONE
@@ -76,5 +76,5 @@
   USE allocate_field_mod
   USE bands
-  USE parallel
+  USE parallel_lmdz
   USE advtrac_mod, ONLY : advtrac_switch_vanleer 
   IMPLICIT NONE
Index: /LMDZ5/trunk/libf/dyn3dmem/caldyn_loc.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/caldyn_loc.F	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/caldyn_loc.F	(revision 1823)
@@ -10,5 +10,5 @@
      $ (itau,ucov,vcov,teta,ps,masse,pk,pkf,phis ,
      $  phi,conser,du,dv,dteta,dp,w,pbaru,pbarv,time )
-      USE parallel
+      USE parallel_lmdz
       USE Write_Field_loc
       USE caldyn_mod
Index: /LMDZ5/trunk/libf/dyn3dmem/caldyn_mod.F90
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/caldyn_mod.F90	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/caldyn_mod.F90	(revision 1823)
@@ -21,5 +21,5 @@
   USE bands
   USE allocate_field_mod
-  USE parallel
+  USE parallel_lmdz
   USE dimensions_mod
   USE advect_new_mod,ONLY : advect_new_allocate
@@ -49,5 +49,5 @@
   USE allocate_field_mod
   USE bands
-  USE parallel
+  USE parallel_lmdz
   USE advect_new_mod,ONLY : advect_new_switch_caldyn
   IMPLICIT NONE
Index: /LMDZ5/trunk/libf/dyn3dmem/calfis_loc.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/calfis_loc.F	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/calfis_loc.F	(revision 1823)
@@ -37,5 +37,5 @@
       USE IOPHY
 #endif
-      USE parallel, ONLY : omp_chunk, using_mpi,jjb_u,jje_u,jjb_v,jje_v
+      USE parallel_lmdz,ONLY:omp_chunk,using_mpi,jjb_u,jje_u,jjb_v,jje_v
       USE Write_Field
       Use Write_field_p
Index: /LMDZ5/trunk/libf/dyn3dmem/call_calfis_mod.F90
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/call_calfis_mod.F90	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/call_calfis_mod.F90	(revision 1823)
@@ -37,5 +37,5 @@
   USE bands
   USE allocate_field_mod
-  USE parallel
+  USE parallel_lmdz
   USE dimensions_mod
   USE infotrac
@@ -75,5 +75,5 @@
                          phis_dyn,q_dyn,flxw_dyn)
   USE dimensions_mod
-  USE parallel
+  USE parallel_lmdz
   USE times
   USE mod_hallo
Index: /LMDZ5/trunk/libf/dyn3dmem/call_dissip_mod.F90
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/call_dissip_mod.F90	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/call_dissip_mod.F90	(revision 1823)
@@ -23,5 +23,5 @@
   USE bands
   USE allocate_field_mod
-  USE parallel
+  USE parallel_lmdz
   USE dimensions_mod
   USE dissip_mod, ONLY : dissip_allocate
@@ -52,5 +52,5 @@
   USE allocate_field_mod
   USE bands
-  USE parallel
+  USE parallel_lmdz
   USE dissip_mod, ONLY : dissip_switch_dissip
   IMPLICIT NONE
@@ -79,5 +79,5 @@
   SUBROUTINE call_dissip(ucov_dyn,vcov_dyn,teta_dyn,p_dyn,pk_dyn,ps_dyn)
   USE dimensions_mod
-  USE parallel
+  USE parallel_lmdz
   USE times
   USE mod_hallo
Index: /LMDZ5/trunk/libf/dyn3dmem/ce0l.F90
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/ce0l.F90	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/ce0l.F90	(revision 1823)
@@ -22,5 +22,5 @@
   USE mod_const_mpi
   USE infotrac
-  USE parallel, ONLY: finalize_parallel
+  USE parallel_lmdz
   USE indice_sol_mod
 
Index: /LMDZ5/trunk/libf/dyn3dmem/conf_gcm.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/conf_gcm.F	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/conf_gcm.F	(revision 1823)
@@ -17,5 +17,5 @@
       use mod_filtre_fft_loc, ONLY : use_filtre_fft_loc=>use_filtre_fft
       use mod_hallo, ONLY : use_mpi_alloc
-      use parallel, ONLY : omp_chunk
+      USE parallel_lmdz, ONLY : omp_chunk
       USE infotrac, ONLY : type_trac
       use assert_m, only: assert
Index: /LMDZ5/trunk/libf/dyn3dmem/convflu_loc.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/convflu_loc.F	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/convflu_loc.F	(revision 1823)
@@ -15,5 +15,5 @@
 c     nbniv   est le nombre de niveaux vert. de  xflu et de yflu .
 c
-      USE parallel
+      USE parallel_lmdz
       IMPLICIT NONE
 c
Index: /LMDZ5/trunk/libf/dyn3dmem/convmas1_loc.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/convmas1_loc.F	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/convmas1_loc.F	(revision 1823)
@@ -1,5 +1,5 @@
       SUBROUTINE convmas1_loc (pbaru, pbarv, convm )
 c
-      USE parallel
+      USE parallel_lmdz
       USE mod_filtreg_p
       IMPLICIT NONE
Index: /LMDZ5/trunk/libf/dyn3dmem/convmas2_loc.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/convmas2_loc.F	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/convmas2_loc.F	(revision 1823)
@@ -1,5 +1,5 @@
       SUBROUTINE convmas2_loc ( convm )
 c
-      USE parallel
+      USE parallel_lmdz
       IMPLICIT NONE
 
Index: /LMDZ5/trunk/libf/dyn3dmem/convmas_loc.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/convmas_loc.F	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/convmas_loc.F	(revision 1823)
@@ -1,5 +1,5 @@
       SUBROUTINE convmas_loc (pbaru, pbarv, convm )
 c
-      USE parallel
+      USE parallel_lmdz
       USE mod_filtreg_p
       IMPLICIT NONE
Index: /LMDZ5/trunk/libf/dyn3dmem/covcont_loc.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/covcont_loc.F	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/covcont_loc.F	(revision 1823)
@@ -1,4 +1,4 @@
       SUBROUTINE covcont_loc (klevel,ucov, vcov, ucont, vcont )
-      USE parallel
+      USE parallel_lmdz
       IMPLICIT NONE
 
Index: /LMDZ5/trunk/libf/dyn3dmem/covnat_loc.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/covnat_loc.F	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/covnat_loc.F	(revision 1823)
@@ -3,5 +3,5 @@
 !
       SUBROUTINE covnat_loc(klevel,ucov, vcov, unat, vnat )
-      USE parallel
+      USE parallel_lmdz
       IMPLICIT NONE
 
Index: /LMDZ5/trunk/libf/dyn3dmem/dissip_loc.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/dissip_loc.F	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/dissip_loc.F	(revision 1823)
@@ -1,5 +1,5 @@
       SUBROUTINE dissip_loc( vcov,ucov,teta,p, dv,du,dh )
 c
-      USE parallel
+      USE parallel_lmdz
       USE write_field_loc
       USE dissip_mod
Index: /LMDZ5/trunk/libf/dyn3dmem/dissip_mod.F90
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/dissip_mod.F90	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/dissip_mod.F90	(revision 1823)
@@ -8,5 +8,5 @@
   USE bands
   USE allocate_field_mod
-  USE parallel
+  USE parallel_lmdz
   USE dimensions_mod
   USE gradiv2_mod, ONLY : gradiv2_allocate
@@ -25,5 +25,5 @@
   USE allocate_field_mod
   USE bands
-  USE parallel
+  USE parallel_lmdz
   USE gradiv2_mod,ONLY : gradiv2_switch_dissip
   USE nxgraro2_mod,ONLY : nxgraro2_switch_dissip
Index: /LMDZ5/trunk/libf/dyn3dmem/diverg_gam_loc.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/diverg_gam_loc.F	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/diverg_gam_loc.F	(revision 1823)
@@ -9,5 +9,5 @@
 c              x et y  etant des composantes covariantes   ...
 c  *********************************************************************
-      USE parallel
+      USE parallel_lmdz
       IMPLICIT NONE
 c
Index: /LMDZ5/trunk/libf/dyn3dmem/diverg_p.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/diverg_p.F	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/diverg_p.F	(revision 1823)
@@ -8,5 +8,5 @@
 c              x et y  etant des composantes covariantes   ...
 c  *********************************************************************
-      USE parallel
+      USE parallel_lmdz
       IMPLICIT NONE
 c
Index: /LMDZ5/trunk/libf/dyn3dmem/divergf_loc.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/divergf_loc.F	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/divergf_loc.F	(revision 1823)
@@ -8,5 +8,5 @@
 c              x et y  etant des composantes covariantes   ...
 c  *********************************************************************
-      USE PARALLEL
+      USE parallel_lmdz
       USE mod_filtreg_p
       IMPLICIT NONE
Index: /LMDZ5/trunk/libf/dyn3dmem/divgrad2_loc.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/divgrad2_loc.F	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/divgrad2_loc.F	(revision 1823)
@@ -10,5 +10,5 @@
 c         divgra     est  un argument  de sortie pour le s-prg
 c
-      USE parallel
+      USE parallel_lmdz
       USE times
       USE mod_hallo
Index: /LMDZ5/trunk/libf/dyn3dmem/divgrad2_mod.F90
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/divgrad2_mod.F90	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/divgrad2_mod.F90	(revision 1823)
@@ -8,5 +8,5 @@
   USE bands
   USE allocate_field_mod
-  USE parallel
+  USE parallel_lmdz
   USE dimensions_mod
   IMPLICIT NONE
@@ -22,5 +22,5 @@
   USE allocate_field_mod
   USE bands
-  USE parallel
+  USE parallel_lmdz
   IMPLICIT NONE
     TYPE(distrib),INTENT(IN) :: dist
Index: /LMDZ5/trunk/libf/dyn3dmem/dteta1_loc.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/dteta1_loc.F	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/dteta1_loc.F	(revision 1823)
@@ -1,4 +1,4 @@
       SUBROUTINE dteta1_loc ( teta, pbaru, pbarv, dteta)
-      USE parallel
+      USE parallel_lmdz
       USE write_field_p
       USE mod_filtreg_p
Index: /LMDZ5/trunk/libf/dyn3dmem/dudv1_loc.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/dudv1_loc.F	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/dudv1_loc.F	(revision 1823)
@@ -1,4 +1,4 @@
       SUBROUTINE dudv1_loc ( vorpot, pbaru, pbarv, du, dv )
-      USE parallel
+      USE parallel_lmdz
       IMPLICIT NONE
 c
Index: /LMDZ5/trunk/libf/dyn3dmem/dudv2_loc.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/dudv2_loc.F	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/dudv2_loc.F	(revision 1823)
@@ -1,4 +1,4 @@
       SUBROUTINE dudv2_loc ( teta, pkf, bern, du, dv  )
-      USE parallel
+      USE parallel_lmdz
       IMPLICIT NONE
 c
Index: /LMDZ5/trunk/libf/dyn3dmem/dynetat0_loc.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/dynetat0_loc.F	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/dynetat0_loc.F	(revision 1823)
@@ -6,5 +6,5 @@
       USE infotrac
       use control_mod, only : planet_type
-      USE parallel
+      USE parallel_lmdz
       IMPLICIT NONE
 
Index: /LMDZ5/trunk/libf/dyn3dmem/dynredem_loc.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/dynredem_loc.F	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/dynredem_loc.F	(revision 1823)
@@ -7,5 +7,5 @@
       USE IOIPSL
 #endif
-      USE parallel
+      USE parallel_lmdz
       USE mod_hallo
       USE infotrac
@@ -528,5 +528,5 @@
       SUBROUTINE dynredem1_loc(fichnom,time,
      .                     vcov,ucov,teta,q,masse,ps)
-      USE parallel
+      USE parallel_lmdz
       USE mod_hallo
       USE infotrac
Index: /LMDZ5/trunk/libf/dyn3dmem/dynredem_mod.F90
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/dynredem_mod.F90	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/dynredem_mod.F90	(revision 1823)
@@ -8,5 +8,5 @@
   SUBROUTINE dynredem_write_u(ncid,id,var,ll)
   USE dimensions_mod
-  USE parallel
+  USE parallel_lmdz
   USE mod_hallo
   IMPLICIT NONE
@@ -73,5 +73,5 @@
   SUBROUTINE dynredem_write_v(ncid,id,var,ll)
   USE dimensions_mod
-  USE parallel
+  USE parallel_lmdz
   USE mod_hallo
   IMPLICIT NONE
@@ -138,5 +138,5 @@
   SUBROUTINE dynredem_read_u(ncid,id,var,ll)
   USE dimensions_mod
-  USE parallel
+  USE parallel_lmdz
   USE mod_hallo
   IMPLICIT NONE
Index: /LMDZ5/trunk/libf/dyn3dmem/enercin_loc.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/enercin_loc.F	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/enercin_loc.F	(revision 1823)
@@ -1,4 +1,4 @@
       SUBROUTINE enercin_loc ( vcov, ucov, vcont, ucont, ecin )
-      USE parallel
+      USE parallel_lmdz
       IMPLICIT NONE
 
Index: /LMDZ5/trunk/libf/dyn3dmem/exner_hyb_loc.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/exner_hyb_loc.F	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/exner_hyb_loc.F	(revision 1823)
@@ -29,5 +29,5 @@
 c
 c
-      USE parallel
+      USE parallel_lmdz
       USE mod_filtreg_p
       USE write_field_loc
Index: /LMDZ5/trunk/libf/dyn3dmem/exner_milieu_loc.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/exner_milieu_loc.F	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/exner_milieu_loc.F	(revision 1823)
@@ -26,5 +26,5 @@
 c    ( voir note de Fr.Hourdin )  ,
 c
-      USE parallel
+      USE parallel_lmdz
       USE mod_filtreg_p
       IMPLICIT NONE
Index: /LMDZ5/trunk/libf/dyn3dmem/filtreg_p.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/filtreg_p.F	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/filtreg_p.F	(revision 1823)
@@ -3,5 +3,5 @@
       SUBROUTINE filtreg_p ( champ, ibeg, iend, nlat, nbniv, 
      &     ifiltre, iaire, griscal ,iter)
-      USE Parallel, only : OMP_CHUNK
+      USE parallel_lmdz, only : OMP_CHUNK
       USE mod_filtre_fft
       USE timer_filtre
Index: /LMDZ5/trunk/libf/dyn3dmem/flumass_loc.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/flumass_loc.F	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/flumass_loc.F	(revision 1823)
@@ -1,4 +1,4 @@
       SUBROUTINE flumass_loc(massebx,masseby,vcont,ucont,pbaru,pbarv)
-      USE parallel
+      USE parallel_lmdz
       IMPLICIT NONE
 
Index: /LMDZ5/trunk/libf/dyn3dmem/friction_loc.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/friction_loc.F	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/friction_loc.F	(revision 1823)
@@ -4,5 +4,5 @@
 c=======================================================================
       SUBROUTINE friction_loc(ucov,vcov,pdt)
-      USE parallel
+      USE parallel_lmdz
       USE control_mod
 #ifdef CPP_IOIPSL
Index: /LMDZ5/trunk/libf/dyn3dmem/gcm.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/gcm.F	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/gcm.F	(revision 1823)
@@ -11,5 +11,5 @@
 
       USE mod_const_mpi, ONLY: init_const_mpi
-      USE parallel
+      USE parallel_lmdz
       USE infotrac
       USE mod_interface_dyn_phys
Index: /LMDZ5/trunk/libf/dyn3dmem/geopot_loc.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/geopot_loc.F	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/geopot_loc.F	(revision 1823)
@@ -1,4 +1,4 @@
       SUBROUTINE geopot_loc ( ngrid, teta, pk, pks, phis, phi )
-      USE parallel
+      USE parallel_lmdz
       IMPLICIT NONE
       
Index: /LMDZ5/trunk/libf/dyn3dmem/getparam.F90
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/getparam.F90	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/getparam.F90	(revision 1823)
@@ -18,5 +18,5 @@
 CONTAINS
   SUBROUTINE ini_getparam(fichier)
-  USE parallel
+  USE parallel_lmdz
     !
     IMPLICIT NONE
@@ -28,5 +28,5 @@
 
   SUBROUTINE fin_getparam
-  USE parallel
+  USE parallel_lmdz
     !
     IMPLICIT NONE
@@ -37,5 +37,5 @@
 
   SUBROUTINE getparamr(TARGET,def_val,ret_val,comment)
-  USE parallel
+  USE parallel_lmdz
     !
     IMPLICIT NONE
@@ -63,5 +63,5 @@
 
   SUBROUTINE getparami(TARGET,def_val,ret_val,comment)
-  USE parallel
+  USE parallel_lmdz
     !
     IMPLICIT NONE
@@ -90,5 +90,5 @@
 
   SUBROUTINE getparaml(TARGET,def_val,ret_val,comment)
-  USE parallel
+  USE parallel_lmdz
     !
     IMPLICIT NONE
Index: /LMDZ5/trunk/libf/dyn3dmem/gr_dyn_fi_p.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/gr_dyn_fi_p.F	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/gr_dyn_fi_p.F	(revision 1823)
@@ -7,5 +7,5 @@
       USE mod_interface_dyn_phys
       USE dimphy
-      USE PARALLEL
+      USE parallel_lmdz
       IMPLICIT NONE
 c=======================================================================
Index: /LMDZ5/trunk/libf/dyn3dmem/gr_fi_dyn_p.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/gr_fi_dyn_p.F	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/gr_fi_dyn_p.F	(revision 1823)
@@ -7,5 +7,5 @@
       USE mod_interface_dyn_phys
       USE dimphy
-      use parallel
+      USE parallel_lmdz
       IMPLICIT NONE
 c=======================================================================
Index: /LMDZ5/trunk/libf/dyn3dmem/gr_u_scal_loc.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/gr_u_scal_loc.F	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/gr_u_scal_loc.F	(revision 1823)
@@ -25,5 +25,5 @@
 c
 c=======================================================================
-      USE parallel
+      USE parallel_lmdz
       IMPLICIT NONE
 c-----------------------------------------------------------------------
Index: /LMDZ5/trunk/libf/dyn3dmem/gr_v_scal_loc.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/gr_v_scal_loc.F	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/gr_v_scal_loc.F	(revision 1823)
@@ -25,5 +25,5 @@
 c
 c=======================================================================
-      USE parallel
+      USE parallel_lmdz
       IMPLICIT NONE
 c-----------------------------------------------------------------------
Index: /LMDZ5/trunk/libf/dyn3dmem/grad_loc.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/grad_loc.F	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/grad_loc.F	(revision 1823)
@@ -10,5 +10,5 @@
 c       pgx  et  pgy    sont des arguments de sortie pour le s-prog
 c
-      USE parallel
+      USE parallel_lmdz
       IMPLICIT NONE
 c
Index: /LMDZ5/trunk/libf/dyn3dmem/grad_p.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/grad_p.F	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/grad_p.F	(revision 1823)
@@ -10,5 +10,5 @@
 c       pgx  et  pgy    sont des arguments de sortie pour le s-prog
 c
-      USE parallel
+      USE parallel_lmdz
       IMPLICIT NONE
 c
Index: /LMDZ5/trunk/libf/dyn3dmem/gradiv2_loc.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/gradiv2_loc.F	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/gradiv2_loc.F	(revision 1823)
@@ -13,5 +13,5 @@
 c
 c
-      USE parallel
+      USE parallel_lmdz
       USE times
       USE Write_field_p
Index: /LMDZ5/trunk/libf/dyn3dmem/gradiv2_mod.F90
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/gradiv2_mod.F90	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/gradiv2_mod.F90	(revision 1823)
@@ -10,5 +10,5 @@
   USE bands
   USE allocate_field_mod
-  USE parallel
+  USE parallel_lmdz
   USE dimensions_mod
   IMPLICIT NONE
@@ -26,5 +26,5 @@
   USE allocate_field_mod
   USE bands
-  USE parallel
+  USE parallel_lmdz
   IMPLICIT NONE
     TYPE(distrib),INTENT(IN) :: dist
Index: /LMDZ5/trunk/libf/dyn3dmem/groupe_loc.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/groupe_loc.F	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/groupe_loc.F	(revision 1823)
@@ -1,4 +1,4 @@
       subroutine groupe_loc(pext,pbaru,pbarv,pbarum,pbarvm,wm)
-      USE parallel
+      USE parallel_lmdz
       USE Write_field_loc
       USE groupe_mod
Index: /LMDZ5/trunk/libf/dyn3dmem/groupe_mod.F90
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/groupe_mod.F90	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/groupe_mod.F90	(revision 1823)
@@ -9,5 +9,5 @@
   USE bands
   USE allocate_field_mod
-  USE parallel
+  USE parallel_lmdz
   USE infotrac
   USE advtrac_mod, ONLY : advtrac_allocate 
@@ -27,5 +27,5 @@
   USE allocate_field_mod
   USE bands
-  USE parallel
+  USE parallel_lmdz
   IMPLICIT NONE
     TYPE(distrib),INTENT(IN) :: dist
Index: /LMDZ5/trunk/libf/dyn3dmem/groupeun_loc.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/groupeun_loc.F	(revision 1822)
+++ /LMDZ5/trunk/libf/dyn3dmem/groupeun_loc.F	(revision 1823)
@@ -1,4 +1,4 @@
       SUBROUTINE groupeun_loc(jjmax,llmax,sb,se,jjb,jje,q)
-      USE parallel
+      USE parallel_lmdz
       USE Write_Field_p
       IMPLICIT NONE
@@ -135,5 +135,5 @@
       SUBROUTINE init_groupeun_loc(airen_tab, aires_tab)
 
-      USE parallel
+      USE parallel_lmdz
       IMPLICIT NONE
 
